var isReady = false;

// Global method for ActionScript
function setSWFIsReady() {
    if (!isReady) {
        console.log('swf is ready!');
        isReady = true;
    }
}

define('talkback-player', function () {
    return function TalkBackPlayer(elem) {

        /**
         * Embed swf element, eg. <embed src="*.swf"></embed>.
         */
        var _elem = elem;

        if (!isReady) {
            setTimeout(function () {
                return TalkBackPlayer(elem);
            }, 1000);
        }

        /**
         * Push audio to RTMP stream from local microphone.
         *
         * @param url  - The RTMP stream URL
         * @param name - The RTMP stream name
         */
        this.startTalkback = function (stream, streamName) {
            _elem.startTalkback(stream, streamName);
        };

        /**
         * Disconnect from RTMP stream
         */
        this.stopTalkback = function () {
            _elem.stopTalkback();
        };

    };


});